Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.vendor
Class DomainLicensePanel

    java.lang.Object
      com.atomikos.vendor.DomainLicensePanel

All Implemented Interfaces:
  PropertyListener

    public class DomainLicensePanel

extends Object

Copyright © 2003 Guy Pardon, Atomikos. All rights reserved.

Author:
  guy A custom panel for domain licenses.

Constructor Summary
`DomainLicensePanel(String[] products, ResourceBundle resources, int expiryInMonths)`

Method Summary
`void` | `deleteProperty(PropertiesTableModel table, int index)` Notification that the delete button was pressed, and thus the indicated property should be deleted from the table.
`void` | `editProperty(PropertiesTableModel table, int index)` Notification that the edit button was pressed, and the user thus wishes to edit the currently selected property in the given table.
`protected String` | `getDomain()`
`protected long` | `getExpiryDate()`
`protected long` | `getExpiryDate(int months)`
`protected Properties` | `getFeatures()`
`protected JPanel` | `getJPanel()`
`protected String` | `getOwner()`
`protected String` | `getProductName()`
`protected String` | `getResource(String name)`
`protected String` | `getSecretKey()`
`void` | `newProperty(PropertiesTableModel table)` Notification that the new button was pressed, and the user thus wishes to insert a new property in the given table.
`protected void` | `saveToFile(String file)` This method is called when the user confirms that the license should be saved.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainLicensePanel

    public DomainLicensePanel(String[] products,
                              ResourceBundle resources,
                              int expiryInMonths)

Parameters:
  `resources` -

Method Detail

### getJPanel

    protected JPanel getJPanel()

### getDomain

    protected String getDomain()

### saveToFile

    protected void saveToFile(String file)
                       throws IOException

  This method is called when the user confirms that the license should be saved.

  Parameters:
    `file` - The file where the license should go.
  Throws:
    `IOException` - On IO errors.

### getResource

    protected String getResource(String name)

### getProductName

    protected String getProductName()

### getSecretKey

    protected String getSecretKey()

### getExpiryDate

    protected long getExpiryDate(int months)

### getOwner

    protected String getOwner()

### getExpiryDate

    protected long getExpiryDate()

### getFeatures

    protected Properties getFeatures()

### deleteProperty

    public void deleteProperty(PropertiesTableModel table,
                               int index)

  Description copied from interface: `PropertyListener`
  Notification that the delete button was pressed, and thus the indicated property should be deleted from the table.

  Specified by:
    `deleteProperty` in interface `PropertyListener`
  Parameters:
    `table` - The table model.
    `index` - The index of the row to delete.

### editProperty

    public void editProperty(PropertiesTableModel table,
                             int index)

  Description copied from interface: `PropertyListener`
  Notification that the edit button was pressed, and the user thus wishes to edit the currently selected property in the given table.

  Specified by:
    `editProperty` in interface `PropertyListener`
  Parameters:
    `table` - The table model.
    `index` - Indicates which row to edit.

### newProperty

    public void newProperty(PropertiesTableModel table)

  Description copied from interface: `PropertyListener`
  Notification that the new button was pressed, and the user thus wishes to insert a new property in the given table.

  Specified by:
    `newProperty` in interface `PropertyListener`
  Parameters:
    `table` - The table model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.